import 'package:plugin_basic/basic_export.dart';
import 'package:router/componentRouter/labour_service.dart';
import 'package:shared/utils/log_utils.dart';

import '../modules/labour_request_list/labour_request_list_page.dart';

class LabourServiceImpl extends GetxService implements LabourService {

  @override
  void startLabourRequestPage() {
    LabourRequestListPage.startInstance();
  }

  @override
  void onInit() {
    super.onInit();
    //初始化资源
    Log.d("ProfileServiceImpl 初始化资源");
  }

  @override
  void onClose() {
    super.onClose();
    //销毁资源
    Log.d("ProfileServiceImpl 销毁资源");
  }
}
